Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

CDH 5.7 and 5.3; HBase 1.2 and 0.98 compatibility

avatar
New Contributor

We maintain several CDH clusters and are thinking of upgrading to new CDH 5.7(8?) soon - we'll do that one cluster at a time and therefore need cross version compatbility. More precisely during the time that that we run clusters on different versions we would like to:

1. Send HBase snapshots between clusters on HBase 1.2 and 0.98 (both directions): HFile compatbility.
2. Talk to all HBase clusters using 0.98 client (or alternatively 1.2 client) - in other words using single version of the client to talk to either cluster: Wire compatbility.

Are the above supported? Do you recommend first moving client to 1.2 or statying on 0.98 until all of the servers are running 1.2?

Thanks!

1 ACCEPTED SOLUTION

avatar
New Contributor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login
1 REPLY 1

avatar
New Contributor
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login